org.eclipse.eef.ide.ui.api

## Class EEFTab

- java.lang.Object
- - org.eclipse.eef.ide.ui.api.EEFTab

    public class EEFTab
    extends java.lang.Object

This class is used as the entry point to manage a tab with EEF.

### Constructor Summary

Constructors
Constructor and Description
`EEFTab(EEFPage eefPage)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `aboutToBeHidden()` This method needs to be called before hidding the tab.
`void` `aboutToBeShown()` This method needs to be called before displaying the tab in the user interface.
`void` `createControls(org.eclipse.swt.widgets.Composite parent, IEEFFormContainer container)` Creates the controls of the tab.
`void` `dispose()` Disposes the tab.
`EEFPage` `getEEFPage()` Return the eefPage.
`void` `refresh()` Refreshes the tab.
`void` `setInput(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)` Sets the input of the tab.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFTab

    public EEFTab(EEFPage eefPage)

The constructor.

Parameters:
  `eefPage` - The page

### Method Detail

#### createControls

    public void createControls(org.eclipse.swt.widgets.Composite parent,
                               IEEFFormContainer container)

Creates the controls of the tab.

Parameters:
  `parent` - The parent container
  `container` - The container of the whole form

#### aboutToBeShown

    public void aboutToBeShown()

This method needs to be called before displaying the tab in the user interface.

#### setInput

    public void setInput(org.eclipse.ui.IWorkbenchPart part,
                         org.eclipse.jface.viewers.ISelection selection)

Sets the input of the tab.

Parameters:
  `part` - The workbench part
  `selection` - The selection

#### refresh

    public void refresh()

Refreshes the tab.

#### aboutToBeHidden

    public void aboutToBeHidden()

This method needs to be called before hidding the tab.

#### dispose

    public void dispose()

Disposes the tab.

#### getEEFPage

    public EEFPage getEEFPage()

Return the eefPage.

Returns:
  the eefPage